---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mr diff`

View changes in a merge request

```plaintext
glab mr diff [<id> | <branch>] [flags]
```

## Examples

```plaintext
glab mr diff 123
glab mr diff branch
glab mr diff  # get from current branch
glab mr diff 123 --color=never

```

## Options

```plaintext
      --color string   Use color in diff output: {always|never|auto} (default "auto")
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
